XCB Test API

Test XCB Protocol Implementation. More...

## Data Structures

struct | xcb_test_get_version_cookie_t
| xcb_test_get_version_cookie_t More...
struct | xcb_test_get_version_request_t
| xcb_test_get_version_request_t More...
struct | xcb_test_get_version_reply_t
| xcb_test_get_version_reply_t More...
struct | xcb_test_compare_cursor_cookie_t
| xcb_test_compare_cursor_cookie_t More...
struct | xcb_test_compare_cursor_request_t
| xcb_test_compare_cursor_request_t More...
struct | xcb_test_compare_cursor_reply_t
| xcb_test_compare_cursor_reply_t More...
struct | xcb_test_fake_input_request_t
| xcb_test_fake_input_request_t More...
struct | xcb_test_grab_control_request_t
| xcb_test_grab_control_request_t More...

## Macros

#define | XCB_TEST_MAJOR_VERSION 2
#define | XCB_TEST_MINOR_VERSION 2
#define | XCB_TEST_GET_VERSION 0
#define | XCB_TEST_COMPARE_CURSOR 1
#define | XCB_TEST_FAKE_INPUT 2
#define | XCB_TEST_GRAB_CONTROL 3

## Typedefs

typedef struct xcb_test_get_version_cookie_t | xcb_test_get_version_cookie_t
| xcb_test_get_version_cookie_t
typedef struct xcb_test_get_version_request_t | xcb_test_get_version_request_t
| xcb_test_get_version_request_t
typedef struct xcb_test_get_version_reply_t | xcb_test_get_version_reply_t
| xcb_test_get_version_reply_t
typedef enum xcb_test_cursor_t | xcb_test_cursor_t
typedef struct xcb_test_compare_cursor_cookie_t | xcb_test_compare_cursor_cookie_t
| xcb_test_compare_cursor_cookie_t
typedef struct xcb_test_compare_cursor_request_t | xcb_test_compare_cursor_request_t
| xcb_test_compare_cursor_request_t
typedef struct xcb_test_compare_cursor_reply_t | xcb_test_compare_cursor_reply_t
| xcb_test_compare_cursor_reply_t
typedef struct xcb_test_fake_input_request_t | xcb_test_fake_input_request_t
| xcb_test_fake_input_request_t
typedef struct xcb_test_grab_control_request_t | xcb_test_grab_control_request_t
| xcb_test_grab_control_request_t

## Enumerations

enum | xcb_test_cursor_t { XCB_TEST_CURSOR_NONE = 0 , XCB_TEST_CURSOR_CURRENT = 1 }

## Functions

xcb_test_get_version_cookie_t | xcb_test_get_version (xcb_connection_t *c, uint8_t major_version, uint16_t minor_version)
xcb_test_get_version_cookie_t | xcb_test_get_version_unchecked (xcb_connection_t *c, uint8_t major_version, uint16_t minor_version)
xcb_test_get_version_reply_t * | xcb_test_get_version_reply (xcb_connection_t *c, xcb_test_get_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_test_compare_cursor_cookie_t | xcb_test_compare_cursor (xcb_connection_t *c, xcb_window_t window, xcb_cursor_t cursor)
xcb_test_compare_cursor_cookie_t | xcb_test_compare_cursor_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_cursor_t cursor)
xcb_test_compare_cursor_reply_t * | xcb_test_compare_cursor_reply (xcb_connection_t *c, xcb_test_compare_cursor_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_test_fake_input_checked (xcb_connection_t *c, uint8_t type, uint8_t detail, uint32_t time, xcb_window_t root, int16_t rootX, int16_t rootY, uint8_t deviceid)
xcb_void_cookie_t | xcb_test_fake_input (xcb_connection_t *c, uint8_t type, uint8_t detail, uint32_t time, xcb_window_t root, int16_t rootX, int16_t rootY, uint8_t deviceid)
xcb_void_cookie_t | xcb_test_grab_control_checked (xcb_connection_t *c, uint8_t impervious)
xcb_void_cookie_t | xcb_test_grab_control (xcb_connection_t *c, uint8_t impervious)

## Variables

xcb_extension_t | xcb_test_id

## Detailed Description

Test XCB Protocol Implementation.

## Macro Definition Documentation

## XCB_TEST_COMPARE_CURSOR

#define XCB_TEST_COMPARE_CURSOR 1

Opcode for xcb_test_compare_cursor.

Referenced by xcb_test_compare_cursor(), and xcb_test_compare_cursor_unchecked().

## XCB_TEST_FAKE_INPUT

#define XCB_TEST_FAKE_INPUT 2

Opcode for xcb_test_fake_input.

Referenced by xcb_test_fake_input(), and xcb_test_fake_input_checked().

## XCB_TEST_GET_VERSION

#define XCB_TEST_GET_VERSION 0

Opcode for xcb_test_get_version.

Referenced by xcb_test_get_version(), and xcb_test_get_version_unchecked().

## XCB_TEST_GRAB_CONTROL

#define XCB_TEST_GRAB_CONTROL 3

Opcode for xcb_test_grab_control.

Referenced by xcb_test_grab_control(), and xcb_test_grab_control_checked().

## Function Documentation

## xcb_test_compare_cursor()

xcb_test_compare_cursor_cookie_t xcb_test_compare_cursor | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_cursor_t | cursor )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_TEST_COMPARE_CURSOR.

## xcb_test_compare_cursor_reply()

xcb_test_compare_cursor_reply_t * xcb_test_compare_cursor_reply | ( | xcb_connection_t * | c,
|  | xcb_test_compare_cursor_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_test_compare_cursor_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_test_compare_cursor_unchecked()

xcb_test_compare_cursor_cookie_t xcb_test_compare_cursor_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_cursor_t | cursor )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_TEST_COMPARE_CURSOR.

## xcb_test_fake_input()

xcb_void_cookie_t xcb_test_fake_input | ( | xcb_connection_t * | c,
|  | uint8_t | type,
|  | uint8_t | detail,
|  | uint32_t | time,
|  | xcb_window_t | root,
|  | int16_t | rootX,
|  | int16_t | rootY,
|  | uint8_t | deviceid )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_TEST_FAKE_INPUT.

## xcb_test_fake_input_checked()

xcb_void_cookie_t xcb_test_fake_input_checked | ( | xcb_connection_t * | c,
|  | uint8_t | type,
|  | uint8_t | detail,
|  | uint32_t | time,
|  | xcb_window_t | root,
|  | int16_t | rootX,
|  | int16_t | rootY,
|  | uint8_t | deviceid )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_TEST_FAKE_INPUT.

## xcb_test_get_version()

xcb_test_get_version_cookie_t xcb_test_get_version | ( | xcb_connection_t * | c,
|  | uint8_t | major_version,
|  | uint16_t | minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_TEST_GET_VERSION.

## xcb_test_get_version_reply()

xcb_test_get_version_reply_t * xcb_test_get_version_reply | ( | xcb_connection_t * | c,
|  | xcb_test_get_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_test_get_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_test_get_version_unchecked()

xcb_test_get_version_cookie_t xcb_test_get_version_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | major_version,
|  | uint16_t | minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_TEST_GET_VERSION.

## xcb_test_grab_control()

xcb_void_cookie_t xcb_test_grab_control | ( | xcb_connection_t * | c,
|  | uint8_t | impervious )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_TEST_GRAB_CONTROL.

## xcb_test_grab_control_checked()

xcb_void_cookie_t xcb_test_grab_control_checked | ( | xcb_connection_t * | c,
|  | uint8_t | impervious )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_TEST_GRAB_CONTROL.